net.sourceforge.pmd.lang.dfa.report

## Class PackageNode

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.AbstractReportNode
  - - net.sourceforge.pmd.lang.dfa.report.PackageNode

    public class PackageNode
    extends AbstractReportNode

### Constructor Summary

Constructors
Constructor and Description
`PackageNode(String packageName)`

### Method Summary

Methods
`boolean` `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`String` `getPackageName()`

### Methods inherited from class net.sourceforge.pmd.lang.dfa.report.AbstractReportNode

`accept, add, addFirst, addNumberOfViolation, childrenAccept, getChildAt, getChildCount, getFirstChild, getNextSibling, getNumberOfViolations, getParent, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageNode

    public PackageNode(String packageName)

### Method Detail

#### getPackageName

    public String getPackageName()

#### equalsNode

    public boolean equalsNode(AbstractReportNode arg0)

Description copied from class: `AbstractReportNode`
Should compare to nodes of the tree.

Specified by:
  `equalsNode` in class `AbstractReportNode`